void print2d(std::string name, std::string dir) {
  string rname = "./root/" + dir + "/" + name + ".root";
  string pname = "./pdf/"  + dir + "/" + name + "_ALL.pdf";
  
  TFile *f = new TFile(rname.c_str());
  string nameCut = name + "Cut";
  string nameEx  = name + "_Ex";
  string nameEm  = name + "_Em";
  TH2D *h  = (TH2D *)f->Get(name.c_str());
  TH2D *hc = (TH2D *)f->Get(nameCut.c_str());

  h->SetMaximum(hc->GetMaximum());

  Int_t binEx = h->GetYaxis()->GetNbins();
  Int_t binEm = h->GetXaxis()->GetNbins();
  Double_t minEx = h->GetYaxis()->GetBinCenter(1), maxEx = h->GetYaxis()->GetBinCenter(binEx);
  Double_t minEm = h->GetXaxis()->GetBinCenter(1), maxEm = h->GetXaxis()->GetBinCenter(binEm);
  
  Int_t wlEx[10], wlEm[10];
  Int_t numEx = 0, numEm = 0;
  TLine *line[20];
  Int_t numLine = 0;
  TKey *key=0;
  TIter iter(f->GetListOfKeys());
  while ((key = (TKey *) iter())) {
    if ((string)key->GetClassName() == "TH1D") {
      string hname = key->GetName();
      Int_t exPos = hname.find("_Ex");
      Int_t emPos = hname.find("_Em");
      if (exPos != string::npos) {
        if (hname.length() - (exPos+3) > 0) {
          string wlStr= hname.substr(exPos+3, hname.length() - (exPos+3));
          Int_t wave = atoi(wlStr.c_str());
          line[numLine] = new TLine(minEm, wave, maxEm, wave);
          line[numLine++]->SetLineColor(2); // red
          wlEx[numEx++] = wave;
        }
      }
      if (emPos != string::npos) {
        if (hname.length() - (emPos+3) > 0) {
          string wlStr= hname.substr(emPos+3, hname.length() - (emPos+3));
          Int_t wave = atoi(wlStr.c_str());
          line[numLine] = new TLine(wave, minEx, wave, maxEx);
          line[numLine++]->SetLineColor(2); // red
          wlEm[numEm++] = wave;
        }
      }
    }
  }

  TCanvas *c1 = new TCanvas("c1", "c1");
  string openPdf = pname + "[";
  c1->Print(openPdf.c_str(), "pdf");

  // Print 2D Histogram
  h->Draw("colz");
  for (int i = 0; i < numLine; i++) {
    line[i]->Draw("same");
  }
  c1->Print(pname.c_str(), "pdf");
  c1->SetLogz(1);
  c1->Print(pname.c_str(), "pdf");
//  h->Draw("cont1z");
  c1->SetLogz(0);

  hc->Draw("colz");
  for (int i = 0; i < numLine; i++) {
    line[i]->Draw("same");
  }
  c1->Print(pname.c_str(), "pdf");
  c1->SetLogz(1);
  c1->Print(pname.c_str(), "pdf");
  c1->SetLogz(0);
  
//  Print 1D Histogram 
  iter.Reset();
  while ((key = (TKey *) iter())) {
    if ((string)key->GetClassName() == "TH1D") {
      string hname = key->GetName();
      TH1D *h1 = (TH1D *)f->Get(hname.c_str());
      h1->Draw();
      c1->Print(pname.c_str(), "pdf");
    }
  }
  string closePdf = pname + "]";
  c1->Print(closePdf.c_str(), "pdf");

}
  
